package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.IMSCertAction;
import cn.com.infosec.mobile.android.IMSError;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.IMSSignAction;
import cn.com.infosec.mobile.android.Jointer;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.KeyStoreUtil;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Map;
import java.util.logging.Level;
import org.json.JSONObject;

@Keep
public class SignManager {
   private Context mContext;
   private IMSSignAction imsSignAction;
   private IMSCertAction imsCertAction;
   private KeyStoreUtil keyStoreUtil;

   public SignManager(Context context) {
      this.mContext = context;
      this.imsSignAction = new IMSSignAction(context);
      this.imsCertAction = new IMSCertAction(context);
      this.keyStoreUtil = KeyStoreUtil.getInstance(context);
   }

   private void doSign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull Result.ResultListener resultListener) {
      IMSSignAction var6;
      IMSSignAction var10000 = var6 = new IMSSignAction;
      var10000.<init>(this.mContext);
      if (var10000.isCollaborative()) {
         Jointer var7;
         var7 = new Jointer.<init>();
         Map var8;
         if ((var8 = var6.collaborateSignBegin(userName, plain, false, var7)) == null) {
            resultListener.handleResult(var6.getLatestResult());
            return;
         }

         NetworkInterface var11 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew");
         Map var10002 = var8;
         NetworkInterface.NetworkCallback var12;
         var12 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final IMSSignAction val$imsSignAction;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final byte[] val$plain;
            // $FF: synthetic field
            final int val$type;
            // $FF: synthetic field
            final Jointer val$jointer;

            {
               this.val$resultListener = var2;
               this.val$imsSignAction = var3;
               this.val$userName = var4;
               this.val$PIN = var5;
               this.val$plain = var6;
               this.val$type = var7;
               this.val$jointer = var8;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSignAction var10001 = this.val$imsSignAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               <undefinedtype> var10005 = this;
               String var6 = this.val$userName;
               String var2 = var10005.val$PIN;
               byte[] var3 = var10004.val$plain;
               int var4 = var10003.val$type;
               Jointer var5 = var10002.val$jointer;
               var10000.handleResult(var10001.collaborateSignFinal(var6, var2, var3, var4, callbackData, var5));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(errorMsg));
               XLog.d("签名失败:".concat(errorMsg));
            }
         }.<init>(resultListener, var6, userName, PIN, plain, type, var7);
         var11.httpPost(var10001, var10002, var12);
      } else {
         String var9;
         if (TextUtils.isEmpty(var9 = var6.sign(userName, PIN, plain, type))) {
            var9 = (new IMSError()).toString();
            IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var9));
            XLog.d("签名失败，signData = null");
            resultListener.handleResult(new Result("IE1007", var9));
         } else {
            Result userName1;
            userName1 = new Result.<init>("000000", var9);
            resultListener.handleResult(userName1);
         }
      }

   }

   private Result doSign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type) {
      IMSSignAction var5;
      IMSSignAction var10000 = var5 = new IMSSignAction;
      var10000.<init>(this.mContext);
      if (!var10000.isCollaborative()) {
         String var11;
         return TextUtils.isEmpty(var11 = var5.sign(userName, PIN, plain, type)) ? new Result("IE1007", IMSError.errCode + ":" + IMSError.errMessage) : new Result("000000", var11);
      } else {
         Jointer var9;
         var9 = new Jointer.<init>();
         Map var6;
         if ((var6 = var5.collaborateSignBegin(userName, plain, false, var9)) == null) {
            return var5.getLatestResult();
         } else {
            Exception var12;
            label35: {
               String var13;
               boolean var10001;
               String var10002;
               byte[] var10003;
               int var10004;
               NetworkInterface var10005;
               try {
                  var10000 = var5;
                  var13 = userName;
                  var10002 = PIN;
                  var10003 = plain;
                  var10004 = type;
                  var10005 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var12 = var8;
                  var10001 = false;
                  break label35;
               }

               String var10006 = "/";

               try {
                  return var10000.collaborateSignFinal(var13, var10002, var10003, var10004, var10005.httpPost(var10006.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), var6), var9);
               } catch (Exception var7) {
                  var12 = var7;
                  var10001 = false;
               }
            }

            Exception var10 = var12;
            return new Result("IE1015", var10);
         }
      }
   }

   private void doHashSign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull String hashAlg, @NonNull Result.ResultListener resultListener) {
      IMSSignAction var7;
      IMSSignAction var10000 = var7 = new IMSSignAction;
      var10000.<init>(this.mContext);
      if (var10000.isCollaborative()) {
         Jointer hashAlg1;
         hashAlg1 = new Jointer.<init>();
         Map var8;
         if ((var8 = var7.collaborateSignBegin(userName, plain, true, hashAlg1)) == null) {
            resultListener.handleResult(var7.getLatestResult());
            return;
         }

         NetworkInterface var12 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew");
         Map var10002 = var8;
         NetworkInterface.NetworkCallback var13;
         var13 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final IMSSignAction val$imsSignAction;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final byte[] val$plain;
            // $FF: synthetic field
            final int val$type;
            // $FF: synthetic field
            final Jointer val$jointer;

            {
               this.val$resultListener = var2;
               this.val$imsSignAction = var3;
               this.val$userName = var4;
               this.val$PIN = var5;
               this.val$plain = var6;
               this.val$type = var7;
               this.val$jointer = var8;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSignAction var10001 = this.val$imsSignAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               <undefinedtype> var10005 = this;
               String var6 = this.val$userName;
               String var2 = var10005.val$PIN;
               byte[] var3 = var10004.val$plain;
               int var4 = var10003.val$type;
               Jointer var5 = var10002.val$jointer;
               var10000.handleResult(var10001.collaborateSignFinal(var6, var2, var3, var4, callbackData, var5));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(errorMsg));
               XLog.d("HashSign签名失败:".concat(errorMsg));
            }
         }.<init>(resultListener, var7, userName, PIN, plain, type, hashAlg1);
         var12.httpPost(var10001, var10002, var13);
      } else {
         String var9;
         if (TextUtils.isEmpty(var9 = var7.signHash(userName, PIN, plain, type, hashAlg))) {
            var9 = (new IMSError()).toString();
            IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var9));
            XLog.d("HashSign签名失败:".concat(var9));
            resultListener.handleResult(new Result("IE1007", var9));
         } else {
            Result userName1;
            userName1 = new Result.<init>("000000", var9);
            resultListener.handleResult(userName1);
         }
      }

   }

   private Result doHashSign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull String hashAlg) {
      Exception var10000;
      label95: {
         boolean var10001;
         IMSSignAction var23;
         try {
            var23 = new IMSSignAction;
         } catch (Exception var18) {
            var10000 = var18;
            var10001 = false;
            break label95;
         }

         IMSSignAction var6;
         IMSSignAction var25 = var6 = var23;

         boolean var24;
         try {
            var25.<init>(this.mContext);
            var24 = var23.isCollaborative();
         } catch (Exception var17) {
            var10000 = var17;
            var10001 = false;
            break label95;
         }

         if (var24) {
            label96: {
               byte[] var10002;
               Jointer var10003;
               String var26;
               try {
                  var23 = var6;
                  var26 = userName;
                  var10002 = plain;
                  var10003 = new Jointer;
               } catch (Exception var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label96;
               }

               Jointer var19 = var10003;

               Map var27;
               try {
                  var10003.<init>();
                  var27 = var23.collaborateSignBegin(var26, var10002, true, var19);
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label96;
               }

               Map hashAlg1 = var27;
               if (var27 == null) {
                  try {
                     return var6.getLatestResult();
                  } catch (Exception var7) {
                     var10000 = var7;
                     var10001 = false;
                  }
               } else {
                  label97: {
                     int var10004;
                     NetworkInterface var10005;
                     String var28;
                     byte[] var29;
                     try {
                        var23 = var6;
                        var26 = userName;
                        var28 = PIN;
                        var29 = plain;
                        var10004 = type;
                        var10005 = IMSSdk.networkInterface;
                     } catch (Exception var9) {
                        var10000 = var9;
                        var10001 = false;
                        break label97;
                     }

                     String var10006 = "/";

                     try {
                        return var23.collaborateSignFinal(var26, var28, var29, var10004, var10005.httpPost(var10006.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), hashAlg1), var19);
                     } catch (Exception var8) {
                        var10000 = var8;
                        var10001 = false;
                     }
                  }
               }
            }
         } else {
            label98: {
               String var30;
               try {
                  var30 = var6.signHash(userName, PIN, plain, type, hashAlg);
               } catch (Exception var16) {
                  var10000 = var16;
                  var10001 = false;
                  break label98;
               }

               String var20 = var30;

               try {
                  var24 = TextUtils.isEmpty(var30);
               } catch (Exception var15) {
                  var10000 = var15;
                  var10001 = false;
                  break label98;
               }

               if (var24) {
                  label99: {
                     try {
                        var30 = (new IMSError()).toString();
                     } catch (Exception var13) {
                        var10000 = var13;
                        var10001 = false;
                        break label99;
                     }

                     var20 = var30;

                     try {
                        IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var20));
                        XLog.d("HashSign签名失败:".concat(var20));
                        return new Result("IE1007", var20);
                     } catch (Exception var12) {
                        var10000 = var12;
                        var10001 = false;
                     }
                  }
               } else {
                  try {
                     return new Result("000000", var20);
                  } catch (Exception var14) {
                     var10000 = var14;
                     var10001 = false;
                  }
               }
            }
         }
      }

      Exception var21 = var10000;
      var21.printStackTrace();
      return new Result("IE1015", var21);
   }

   private void doSignFrontAuth(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge, @NonNull Result.ResultListener resultListener) {
      IMSSignAction var9;
      IMSSignAction var10000 = var9 = new IMSSignAction;
      var10000.<init>(this.mContext);
      if (var10000.isCollaborative()) {
         Jointer var10;
         var10 = new Jointer.<init>();
         Map var11;
         if ((var11 = var9.collaborateSignFrontAuthBegin(userName, PIN, plain, otpTime, otpChallenge, false, var10)) == null) {
            resultListener.handleResult(var9.getLatestResult());
            return;
         }

         NetworkInterface var15 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getSignedValNewFrontAuthPwd");
         Map var10002 = var11;
         NetworkInterface.NetworkCallback var13;
         var13 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final IMSSignAction val$imsSignAction;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final byte[] val$plain;
            // $FF: synthetic field
            final int val$type;
            // $FF: synthetic field
            final long val$otpTime;
            // $FF: synthetic field
            final String val$otpChallenge;
            // $FF: synthetic field
            final Jointer val$jointer;

            {
               this.val$resultListener = var2;
               this.val$imsSignAction = var3;
               this.val$userName = var4;
               this.val$PIN = var5;
               this.val$plain = var6;
               this.val$type = var7;
               this.val$otpTime = var8;
               this.val$otpChallenge = var10;
               this.val$jointer = var11;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSignAction var10001 = this.val$imsSignAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               <undefinedtype> var10005 = this;
               <undefinedtype> var10006 = this;
               <undefinedtype> var10007 = this;
               String var9 = this.val$userName;
               String var2 = var10007.val$PIN;
               byte[] var3 = var10006.val$plain;
               int var4 = var10005.val$type;
               long var5 = var10004.val$otpTime;
               String var7 = var10003.val$otpChallenge;
               Jointer var8 = var10002.val$jointer;
               var10000.handleResult(var10001.collaborateSignFrontAuthFinal(var9, var2, var3, var4, var5, var7, callbackData, var8));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(errorMsg));
               XLog.d("签名失败:".concat(errorMsg));
            }
         }.<init>(resultListener, var9, userName, PIN, plain, type, otpTime, otpChallenge, var10);
         var15.httpPost(var10001, var10002, var13);
      } else {
         String var12;
         if (TextUtils.isEmpty(var12 = var9.sign(userName, PIN, plain, type))) {
            var12 = (new IMSError()).toString();
            IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var12));
            XLog.d("签名失败:".concat(var12));
            resultListener.handleResult(new Result("IE1007", var12));
         } else {
            Result userName1;
            userName1 = new Result.<init>("000000", var12);
            resultListener.handleResult(userName1);
         }
      }

   }

   private Result doSignFrontAuth(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge) {
      Exception var10000;
      label103: {
         boolean var10001;
         IMSSignAction var27;
         try {
            var27 = new IMSSignAction;
         } catch (Exception var22) {
            var10000 = var22;
            var10001 = false;
            break label103;
         }

         IMSSignAction var8;
         IMSSignAction var29 = var8 = var27;

         boolean var28;
         try {
            var29.<init>(this.mContext);
            var28 = var27.isCollaborative();
         } catch (Exception var21) {
            var10000 = var21;
            var10001 = false;
            break label103;
         }

         if (var28) {
            label104: {
               String var10002;
               byte[] var10003;
               Jointer var10004;
               String var30;
               try {
                  var27 = var8;
                  var30 = userName;
                  var10002 = PIN;
                  var10003 = plain;
                  var10004 = new Jointer;
               } catch (Exception var15) {
                  var10000 = var15;
                  var10001 = false;
                  break label104;
               }

               Jointer var23 = var10004;

               Map var31;
               try {
                  var10004.<init>();
                  var31 = var27.collaborateSignFrontAuthBegin(var30, var10002, var10003, otpTime, otpChallenge, false, var23);
               } catch (Exception var14) {
                  var10000 = var14;
                  var10001 = false;
                  break label104;
               }

               Map var9 = var31;
               if (var31 == null) {
                  try {
                     return var8.getLatestResult();
                  } catch (Exception var10) {
                     var10000 = var10;
                     var10001 = false;
                  }
               } else {
                  label105: {
                     NetworkInterface var10005;
                     int var32;
                     try {
                        var27 = var8;
                        var30 = userName;
                        var10002 = PIN;
                        var10003 = plain;
                        var32 = type;
                        var10005 = IMSSdk.networkInterface;
                     } catch (Exception var13) {
                        var10000 = var13;
                        var10001 = false;
                        break label105;
                     }

                     String var10006 = "/";

                     JSONObject var34;
                     try {
                        var34 = var10005.httpPost(var10006.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNewFrontAuthPwd"), var9);
                     } catch (Exception var12) {
                        var10000 = var12;
                        var10001 = false;
                        break label105;
                     }

                     JSONObject userName1 = var34;

                     try {
                        return var27.collaborateSignFrontAuthFinal(var30, var10002, var10003, var32, otpTime, otpChallenge, userName1, var23);
                     } catch (Exception var11) {
                        var10000 = var11;
                        var10001 = false;
                     }
                  }
               }
            }
         } else {
            label106: {
               String var33;
               try {
                  var33 = var8.sign(userName, PIN, plain, type);
               } catch (Exception var20) {
                  var10000 = var20;
                  var10001 = false;
                  break label106;
               }

               String var24 = var33;

               try {
                  var28 = TextUtils.isEmpty(var33);
               } catch (Exception var19) {
                  var10000 = var19;
                  var10001 = false;
                  break label106;
               }

               if (var28) {
                  label107: {
                     try {
                        var33 = (new IMSError()).toString();
                     } catch (Exception var17) {
                        var10000 = var17;
                        var10001 = false;
                        break label107;
                     }

                     var24 = var33;

                     try {
                        IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var24));
                        XLog.d("签名失败: signData = null");
                        return new Result("IE1007", var24);
                     } catch (Exception var16) {
                        var10000 = var16;
                        var10001 = false;
                     }
                  }
               } else {
                  try {
                     return new Result("000000", var24);
                  } catch (Exception var18) {
                     var10000 = var18;
                     var10001 = false;
                  }
               }
            }
         }
      }

      Exception var25 = var10000;
      var25.printStackTrace();
      return new Result("IE1015", var25);
   }

   private void doSignWithToken(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge, @NonNull Result.ResultListener resultListener) {
      IMSSignAction var9;
      IMSSignAction var10000 = var9 = new IMSSignAction;
      var10000.<init>(this.mContext);
      if (var10000.isCollaborative()) {
         Jointer var10;
         var10 = new Jointer.<init>();
         Map var11;
         if ((var11 = var9.collaborateSignWithTokenBegin(userName, PIN, plain, otpTime, otpChallenge, false, var10)) == null) {
            resultListener.handleResult(var9.getLatestResult());
            return;
         }

         NetworkInterface var15 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew");
         Map var10002 = var11;
         NetworkInterface.NetworkCallback var13;
         var13 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final IMSSignAction val$imsSignAction;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final byte[] val$plain;
            // $FF: synthetic field
            final int val$type;
            // $FF: synthetic field
            final long val$otpTime;
            // $FF: synthetic field
            final String val$otpChallenge;
            // $FF: synthetic field
            final Jointer val$jointer;

            {
               this.val$resultListener = var2;
               this.val$imsSignAction = var3;
               this.val$userName = var4;
               this.val$PIN = var5;
               this.val$plain = var6;
               this.val$type = var7;
               this.val$otpTime = var8;
               this.val$otpChallenge = var10;
               this.val$jointer = var11;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSignAction var10001 = this.val$imsSignAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               <undefinedtype> var10005 = this;
               <undefinedtype> var10006 = this;
               <undefinedtype> var10007 = this;
               String var9 = this.val$userName;
               String var2 = var10007.val$PIN;
               byte[] var3 = var10006.val$plain;
               int var4 = var10005.val$type;
               long var5 = var10004.val$otpTime;
               String var7 = var10003.val$otpChallenge;
               Jointer var8 = var10002.val$jointer;
               var10000.handleResult(var10001.collaborateSignWithTokenFinal(var9, var2, var3, var4, var5, var7, callbackData, var8));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(errorMsg));
               XLog.d("签名失败:".concat(errorMsg));
            }
         }.<init>(resultListener, var9, userName, PIN, plain, type, otpTime, otpChallenge, var10);
         var15.httpPost(var10001, var10002, var13);
      } else {
         String var12;
         if (TextUtils.isEmpty(var12 = var9.sign(userName, PIN, plain, type))) {
            var12 = (new IMSError()).toString();
            IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var12));
            XLog.d("签名失败:".concat(var12));
            resultListener.handleResult(new Result("IE1007", var12));
         } else {
            Result userName1;
            userName1 = new Result.<init>("000000", var12);
            resultListener.handleResult(userName1);
         }
      }

   }

   private Result doSignWithToken(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge) {
      Exception var10000;
      label103: {
         boolean var10001;
         IMSSignAction var27;
         try {
            var27 = new IMSSignAction;
         } catch (Exception var22) {
            var10000 = var22;
            var10001 = false;
            break label103;
         }

         IMSSignAction var8;
         IMSSignAction var29 = var8 = var27;

         boolean var28;
         try {
            var29.<init>(this.mContext);
            var28 = var27.isCollaborative();
         } catch (Exception var21) {
            var10000 = var21;
            var10001 = false;
            break label103;
         }

         if (var28) {
            label104: {
               String var10002;
               byte[] var10003;
               Jointer var10004;
               String var30;
               try {
                  var27 = var8;
                  var30 = userName;
                  var10002 = PIN;
                  var10003 = plain;
                  var10004 = new Jointer;
               } catch (Exception var15) {
                  var10000 = var15;
                  var10001 = false;
                  break label104;
               }

               Jointer var23 = var10004;

               Map var31;
               try {
                  var10004.<init>();
                  var31 = var27.collaborateSignWithTokenBegin(var30, var10002, var10003, otpTime, otpChallenge, false, var23);
               } catch (Exception var14) {
                  var10000 = var14;
                  var10001 = false;
                  break label104;
               }

               Map var9 = var31;
               if (var31 == null) {
                  try {
                     return var8.getLatestResult();
                  } catch (Exception var10) {
                     var10000 = var10;
                     var10001 = false;
                  }
               } else {
                  label105: {
                     NetworkInterface var10005;
                     int var32;
                     try {
                        var27 = var8;
                        var30 = userName;
                        var10002 = PIN;
                        var10003 = plain;
                        var32 = type;
                        var10005 = IMSSdk.networkInterface;
                     } catch (Exception var13) {
                        var10000 = var13;
                        var10001 = false;
                        break label105;
                     }

                     String var10006 = "/";

                     JSONObject var34;
                     try {
                        var34 = var10005.httpPost(var10006.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), var9);
                     } catch (Exception var12) {
                        var10000 = var12;
                        var10001 = false;
                        break label105;
                     }

                     JSONObject userName1 = var34;

                     try {
                        return var27.collaborateSignWithTokenFinal(var30, var10002, var10003, var32, otpTime, otpChallenge, userName1, var23);
                     } catch (Exception var11) {
                        var10000 = var11;
                        var10001 = false;
                     }
                  }
               }
            }
         } else {
            label106: {
               String var33;
               try {
                  var33 = var8.sign(userName, PIN, plain, type);
               } catch (Exception var20) {
                  var10000 = var20;
                  var10001 = false;
                  break label106;
               }

               String var24 = var33;

               try {
                  var28 = TextUtils.isEmpty(var33);
               } catch (Exception var19) {
                  var10000 = var19;
                  var10001 = false;
                  break label106;
               }

               if (var28) {
                  label107: {
                     try {
                        var33 = (new IMSError()).toString();
                     } catch (Exception var17) {
                        var10000 = var17;
                        var10001 = false;
                        break label107;
                     }

                     var24 = var33;

                     try {
                        IMSSdk.mLogger.log(Level.SEVERE, "签名失败:".concat(var24));
                        XLog.d("签名失败:".concat(var24));
                        return new Result("IE1007", var24);
                     } catch (Exception var16) {
                        var10000 = var16;
                        var10001 = false;
                     }
                  }
               } else {
                  try {
                     return new Result("000000", var24);
                  } catch (Exception var18) {
                     var10000 = var18;
                     var10001 = false;
                  }
               }
            }
         }
      }

      Exception var25 = var10000;
      var25.printStackTrace();
      return new Result("IE1015", var25);
   }

   public void sign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull Result.ResultListener resultListener) {
      Result var7;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0) {
         if (type != 0 && type != 1 && type != 2) {
            var7 = new Result.<init>("IE1013");
            resultListener.handleResult(var7);
         } else if (!this.imsCertAction.certExist(userName)) {
            var7 = new Result.<init>("IE1005");
            resultListener.handleResult(var7);
         } else {
            CertManager var10000 = new CertManager(this.mContext);
            Result.ResultListener var6;
            var6 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final byte[] val$plain;
               // $FF: synthetic field
               final int val$type;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$PIN = var3;
                  this.val$plain = var4;
                  this.val$type = var5;
                  this.val$resultListener = var6;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     SignManager var10000 = SignManager.this;
                     <undefinedtype> var10001 = this;
                     <undefinedtype> var10002 = this;
                     <undefinedtype> var10003 = this;
                     <undefinedtype> var10004 = this;
                     String var5 = this.val$userName;
                     String result1 = var10004.val$PIN;
                     byte[] var2 = var10003.val$plain;
                     int var3 = var10002.val$type;
                     Result.ResultListener var4 = var10001.val$resultListener;
                     var10000.doSign(var5, result1, var2, var3, var4);
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(userName, PIN, plain, type, resultListener);
            var10000.verifyPIN(userName, PIN, var6);
         }
      } else {
         var7 = new Result.<init>("IE1013");
         resultListener.handleResult(var7);
      }
   }

   public Result sign(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0) {
         if (type != 0 && type != 1 && type != 2) {
            return new Result("IE1013");
         } else if (!this.imsCertAction.certExist(userName)) {
            return new Result("IE1005");
         } else {
            Result var5;
            return TextUtils.equals("000000", (var5 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID()) ? this.doSign(userName, PIN, plain, type) : var5;
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void signHash(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull String hashAlg, @NonNull Result.ResultListener resultListener) {
      Result var8;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0) {
         if (type != 0 && type != 1 && type != 2) {
            var8 = new Result.<init>("IE1013");
            resultListener.handleResult(var8);
         } else if (TextUtils.isEmpty(hashAlg)) {
            var8 = new Result.<init>("IE1013");
            resultListener.handleResult(var8);
         } else if (!hashAlg.equalsIgnoreCase("sm3")) {
            var8 = new Result.<init>("IE1013");
            resultListener.handleResult(var8);
         } else if (!this.imsCertAction.certExist(userName)) {
            var8 = new Result.<init>("IE1005");
            resultListener.handleResult(var8);
         } else {
            CertManager var10000 = new CertManager(this.mContext);
            Result.ResultListener var7;
            var7 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final byte[] val$plain;
               // $FF: synthetic field
               final int val$type;
               // $FF: synthetic field
               final String val$hashAlg;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$PIN = var3;
                  this.val$plain = var4;
                  this.val$type = var5;
                  this.val$hashAlg = var6;
                  this.val$resultListener = var7;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     SignManager var10000 = SignManager.this;
                     <undefinedtype> var10001 = this;
                     <undefinedtype> var10002 = this;
                     <undefinedtype> var10003 = this;
                     <undefinedtype> var10004 = this;
                     <undefinedtype> var10005 = this;
                     String var6 = this.val$userName;
                     String result1 = var10005.val$PIN;
                     byte[] var2 = var10004.val$plain;
                     int var3 = var10003.val$type;
                     String var4 = var10002.val$hashAlg;
                     Result.ResultListener var5 = var10001.val$resultListener;
                     var10000.doHashSign(var6, result1, var2, var3, var4, var5);
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(userName, PIN, plain, type, hashAlg, resultListener);
            var10000.verifyPIN(userName, PIN, var7);
         }
      } else {
         var8 = new Result.<init>("IE1013");
         resultListener.handleResult(var8);
      }
   }

   public Result signHash(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull String hashAlg) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0) {
         if (type != 0 && type != 1 && type != 2) {
            return new Result("IE1013");
         } else if (TextUtils.isEmpty(hashAlg)) {
            return new Result("IE1013");
         } else if (!hashAlg.equalsIgnoreCase("sm3")) {
            return new Result("IE1013");
         } else if (!this.imsCertAction.certExist(userName)) {
            return new Result("IE1005");
         } else {
            Result var6;
            return TextUtils.equals("000000", (var6 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID()) ? this.doHashSign(userName, PIN, plain, type, hashAlg) : var6;
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void rawVerifyOnLine(@NonNull String signData, @NonNull String plainText, @NonNull String base64Cert, @NonNull Result.ResultListener resultListener) {
      Map signData1;
      if ((signData1 = this.imsSignAction.rawVerifyBegin(signData, plainText, base64Cert)) == null) {
         resultListener.handleResult(this.imsSignAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/sign/rawVerify");
         Map var10002 = signData1;
         NetworkInterface.NetworkCallback signData2;
         signData2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(SignManager.this.imsSignAction.verifyFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1042", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "raw验签失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, signData2);
      }
   }

   public Result rawVerifyOnLine(@NonNull String signData, @NonNull String plainText, @NonNull String base64Cert) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsSignAction.rawVerifyBegin(signData, plainText, base64Cert);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map signData1 = var12;
         if (var12 == null) {
            try {
               return this.imsSignAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               SignManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/sign/rawVerify"), signData1);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var15;

               try {
                  return var13.imsSignAction.verifyFinal(var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   public void detachVerifyOnLine(@NonNull String signData, @NonNull String plainText, @NonNull Result.ResultListener resultListener) {
      Map signData1;
      if ((signData1 = this.imsSignAction.detachVerifyBegin(signData, plainText)) == null) {
         resultListener.handleResult(this.imsSignAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/sign/detachedVerify");
         Map var10002 = signData1;
         NetworkInterface.NetworkCallback signData2;
         signData2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(SignManager.this.imsSignAction.verifyFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1042", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "detach验签失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, signData2);
      }
   }

   public Result detachVerifyOnLine(@NonNull String signData, @NonNull String plainText) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsSignAction.detachVerifyBegin(signData, plainText);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map signData1 = var11;
         if (var11 == null) {
            try {
               return this.imsSignAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               SignManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/sign/detachedVerify"), signData1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsSignAction.verifyFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void attachVerifyOnLine(@NonNull String signData, @NonNull Result.ResultListener resultListener) {
      Map signData1;
      if ((signData1 = this.imsSignAction.attachVerifyBegin(signData)) == null) {
         resultListener.handleResult(this.imsSignAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/sign/attachedVerify");
         Map var10002 = signData1;
         NetworkInterface.NetworkCallback signData2;
         signData2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(SignManager.this.imsSignAction.verifyFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1042", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "attach验签失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, signData2);
      }
   }

   public Result attachVerifyOnLine(@NonNull String signData) {
      Exception var10000;
      label41: {
         Map var10;
         boolean var10001;
         try {
            var10 = this.imsSignAction.attachVerifyBegin(signData);
         } catch (Exception var6) {
            var10000 = var6;
            var10001 = false;
            break label41;
         }

         Map signData1 = var10;
         if (var10 == null) {
            try {
               return this.imsSignAction.getLatestResult();
            } catch (Exception var2) {
               var10000 = var2;
               var10001 = false;
            }
         } else {
            label43: {
               SignManager var11;
               NetworkInterface var12;
               try {
                  var11 = this;
                  var12 = IMSSdk.networkInterface;
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var13;
               try {
                  var13 = var12.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/sign/attachedVerify"), signData1);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
                  break label43;
               }

               JSONObject var7 = var13;

               try {
                  return var11.imsSignAction.verifyFinal(var7);
               } catch (Exception var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            }
         }
      }

      Exception var8 = var10000;
      var8.printStackTrace();
      return new Result("IE1015", var8);
   }

   public boolean rawVerifyLocal(@NonNull String signData, @NonNull byte[] plain, @NonNull String base64Cert) {
      return this.imsSignAction.rawVerifyLocal(signData, plain, base64Cert);
   }

   public boolean detachVerifyLocal(@NonNull String signData, @NonNull byte[] plain) {
      return this.imsSignAction.detachVerifyLocal(signData, plain);
   }

   public boolean attachVerifyLocal(@NonNull String signData) {
      return this.imsSignAction.attachVerifyLocal(signData);
   }

   public void signFrontAuth(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge, @NonNull Result.ResultListener resultListener) {
      Result var10;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0 && 0L != otpTime && otpTime >= 0L && !TextUtils.isEmpty(otpChallenge)) {
         if (type != 0 && type != 1 && type != 2) {
            var10 = new Result.<init>("IE1013");
            resultListener.handleResult(var10);
         } else if (!this.imsCertAction.certExist(userName)) {
            var10 = new Result.<init>("IE1005");
            resultListener.handleResult(var10);
         } else {
            CertManager var10000 = new CertManager(this.mContext);
            Result.ResultListener var9;
            var9 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final byte[] val$plain;
               // $FF: synthetic field
               final int val$type;
               // $FF: synthetic field
               final long val$otpTime;
               // $FF: synthetic field
               final String val$otpChallenge;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$PIN = var3;
                  this.val$plain = var4;
                  this.val$type = var5;
                  this.val$otpTime = var6;
                  this.val$otpChallenge = var8;
                  this.val$resultListener = var9;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     SignManager var10000 = SignManager.this;
                     <undefinedtype> var10001 = this;
                     <undefinedtype> var10002 = this;
                     <undefinedtype> var10003 = this;
                     <undefinedtype> var10004 = this;
                     <undefinedtype> var10005 = this;
                     <undefinedtype> var10006 = this;
                     String var8 = this.val$userName;
                     String result1 = var10006.val$PIN;
                     byte[] var2 = var10005.val$plain;
                     int var3 = var10004.val$type;
                     long var4 = var10003.val$otpTime;
                     String var6 = var10002.val$otpChallenge;
                     Result.ResultListener var7 = var10001.val$resultListener;
                     var10000.doSignFrontAuth(var8, result1, var2, var3, var4, var6, var7);
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(userName, PIN, plain, type, otpTime, otpChallenge, resultListener);
            var10000.verifyPIN(userName, PIN, var9);
         }
      } else {
         var10 = new Result.<init>("IE1013");
         resultListener.handleResult(var10);
      }
   }

   public Result signFrontAuth(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0 && 0L != otpTime && otpTime >= 0L && !TextUtils.isEmpty(otpChallenge)) {
         if (type != 0 && type != 1 && type != 2) {
            return new Result("IE1013");
         } else if (!this.imsCertAction.certExist(userName)) {
            return new Result("IE1005");
         } else {
            Result var8;
            return TextUtils.equals("000000", (var8 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID()) ? this.doSignFrontAuth(userName, PIN, plain, type, otpTime, otpChallenge) : var8;
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void signWithToken(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge, @NonNull Result.ResultListener resultListener) {
      Result var10;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0 && 0L != otpTime && otpTime >= 0L && !TextUtils.isEmpty(otpChallenge)) {
         if (type != 0 && type != 1 && type != 2) {
            var10 = new Result.<init>("IE1013");
            resultListener.handleResult(var10);
         } else if (!this.imsCertAction.certExist(userName)) {
            var10 = new Result.<init>("IE1005");
            resultListener.handleResult(var10);
         } else {
            CertManager var10000 = new CertManager(this.mContext);
            Result.ResultListener var9;
            var9 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final byte[] val$plain;
               // $FF: synthetic field
               final int val$type;
               // $FF: synthetic field
               final long val$otpTime;
               // $FF: synthetic field
               final String val$otpChallenge;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$PIN = var3;
                  this.val$plain = var4;
                  this.val$type = var5;
                  this.val$otpTime = var6;
                  this.val$otpChallenge = var8;
                  this.val$resultListener = var9;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     SignManager var10000 = SignManager.this;
                     <undefinedtype> var10001 = this;
                     <undefinedtype> var10002 = this;
                     <undefinedtype> var10003 = this;
                     <undefinedtype> var10004 = this;
                     <undefinedtype> var10005 = this;
                     <undefinedtype> var10006 = this;
                     String var8 = this.val$userName;
                     String result1 = var10006.val$PIN;
                     byte[] var2 = var10005.val$plain;
                     int var3 = var10004.val$type;
                     long var4 = var10003.val$otpTime;
                     String var6 = var10002.val$otpChallenge;
                     Result.ResultListener var7 = var10001.val$resultListener;
                     var10000.doSignWithToken(var8, result1, var2, var3, var4, var6, var7);
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(userName, PIN, plain, type, otpTime, otpChallenge, resultListener);
            var10000.verifyPIN(userName, PIN, var9);
         }
      } else {
         var10 = new Result.<init>("IE1013");
         resultListener.handleResult(var10);
      }
   }

   public Result signWithToken(@NonNull String userName, @NonNull String PIN, @NonNull byte[] plain, int type, @NonNull long otpTime, @NonNull String otpChallenge) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && plain != null && plain.length > 0 && 0L != otpTime && otpTime >= 0L && !TextUtils.isEmpty(otpChallenge)) {
         if (type != 0 && type != 1 && type != 2) {
            return new Result("IE1013");
         } else if (!this.imsCertAction.certExist(userName)) {
            return new Result("IE1005");
         } else {
            Result var8;
            return TextUtils.equals("000000", (var8 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID()) ? this.doSignWithToken(userName, PIN, plain, type, otpTime, otpChallenge) : var8;
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void verifyWithTokenOnLine(@NonNull String signMode, @NonNull String signData, @NonNull String plainText, @NonNull String base64Cert, @NonNull String otpCode, @NonNull String otpChallenge, @NonNull Result.ResultListener resultListener) {
      Map signMode1;
      if ((signMode1 = this.imsSignAction.verifyWithTokenBegin(signMode, signData, plainText, base64Cert, otpCode, otpChallenge)) == null) {
         resultListener.handleResult(this.imsSignAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/sign/verifyTokenAndSign");
         Map var10002 = signMode1;
         NetworkInterface.NetworkCallback signMode2;
         signMode2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(SignManager.this.imsSignAction.verifyFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1042", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "验签失败:".concat(errorMsg));
               XLog.d("验签失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, signMode2);
      }
   }

   public Result verifyWithTokenOnLine(@NonNull String signMode, @NonNull String signData, @NonNull String plainText, @NonNull String base64Cert, @NonNull String otpCode, @NonNull String otpChallenge) {
      Exception var10000;
      label41: {
         Map var15;
         boolean var10001;
         try {
            var15 = this.imsSignAction.verifyWithTokenBegin(signMode, signData, plainText, base64Cert, otpCode, otpChallenge);
         } catch (Exception var11) {
            var10000 = var11;
            var10001 = false;
            break label41;
         }

         Map signMode1 = var15;
         if (var15 == null) {
            try {
               return this.imsSignAction.getLatestResult();
            } catch (Exception var7) {
               var10000 = var7;
               var10001 = false;
            }
         } else {
            label43: {
               SignManager var16;
               NetworkInterface var17;
               try {
                  var16 = this;
                  var17 = IMSSdk.networkInterface;
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var18;
               try {
                  var18 = var17.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/sign/verifyTokenAndSign"), signMode1);
               } catch (Exception var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label43;
               }

               JSONObject var12 = var18;

               try {
                  return var16.imsSignAction.verifyFinal(var12);
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
               }
            }
         }
      }

      Exception var13 = var10000;
      var13.printStackTrace();
      return new Result("IE1015", var13);
   }
}
